View Issue Details

IDProjectCategoryView StatusLast Update
0001384Ham Radio DeluxeBugpublic2019-02-24 15:13
ReporterSupportAssigned ToJOSE 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformAllOSAllOS Version
Product Version 
Target VersionFixed in Version6.5.0.196 
Summary0001384: Rotators with south stop stop positions (Yaesu G-540) do not work correctly
DescriptionG-540) do not work correctly
Description:
The rotation angle sent to the rotator controller is off by 180 degs.
HRD Rotator reports the rotation direction that was specified.
Steps To ReproduceSet up a rotator defined to have a South stop (G-5400).
Command rotator to go to 90 degs, Read out in HRD Rotator is as commanded,
actual rotator goes to 270 deg position
Additional InformationReported by w0dhb
TagsNo tags attached.
ModuleRotator
Sub-Module(select)
Testing Beta Successful

Relationships

related to 0001833 closedJOSE HRD Rotor - When South Stop is selected, East becomes 270 dgrees 
child of 0002917 closedWA9PIE "South Stop" implementation has problems and needs to be fixed or removed 

Activities

JOSE

2019-01-29 20:25

developer   ~0007140

South/North stop have been removed.

WA9PIE

2019-02-21 09:34

administrator   ~0007473

Validated

Issue History

Date Modified Username Field Change
2013-12-23 21:44 WA9PIE New Issue
2013-12-23 21:44 WA9PIE Assigned To => Support
2013-12-24 09:33 WA9PIE Project 2 - Next Dev List (Holding Area) => @5@
2014-02-02 13:24 WA9PIE Release => (select)
2014-02-02 13:24 WA9PIE Module => (select)
2014-02-02 13:24 WA9PIE Sub-Module => (select)
2014-02-02 13:24 WA9PIE Report Build => (select)
2014-02-02 13:24 WA9PIE Assigned To Support =>
2014-02-02 13:24 WA9PIE Status assigned => acknowledged
2014-02-02 13:24 WA9PIE Summary Rotators with south stop stop positions (Yaesu G-540) do not work correctly => Bug: Rotators with south stop stop positions (Yaesu G-540) do not work correctly
2014-02-02 13:24 WA9PIE Description Updated View Revisions
2014-02-02 13:24 WA9PIE Steps to Reproduce Updated View Revisions
2014-02-02 16:40 WA9PIE View Status private => public
2015-09-17 13:09 WA9PIE Module (select) => Rotator
2015-09-17 13:15 WA9PIE Category Rotator => Bug
2015-09-17 13:19 WA9PIE Project @5@ => 1 - Backlog
2015-09-29 14:46 WA9PIE Fix Build => (select)
2015-09-29 14:46 WA9PIE Summary Bug: Rotators with south stop stop positions (Yaesu G-540) do not work correctly => Rotators with south stop stop positions (Yaesu G-540) do not work correctly
2017-07-11 09:18 K7ZCZ Relationship added related to 0001833
2017-07-12 00:35 K7ZCZ Assigned To => K7ZCZ
2017-07-12 00:35 K7ZCZ Status acknowledged => assigned
2018-03-04 00:53 WA9PIE Assigned To K7ZCZ => JOSE
2018-03-04 00:54 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2018-03-04 00:56 WA9PIE Testing => Not Started
2018-10-16 23:00 WA9PIE Relationship added child of 0002917
2019-01-29 20:25 JOSE Status assigned => resolved
2019-01-29 20:25 JOSE Resolution open => fixed
2019-01-29 20:25 JOSE Fixed in Version => 6.5.0.188
2019-01-29 20:25 JOSE Note Added: 0007140
2019-02-21 09:34 WA9PIE Status resolved => closed
2019-02-21 09:34 WA9PIE Testing Not Started => Beta Successful
2019-02-21 09:34 WA9PIE Note Added: 0007473
2019-02-24 14:36 WA9PIE Fixed in Version 6.5.0.188 => 6.5.0.196
2019-02-24 15:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe